Module java.desktop
Package javax.swing.plaf.metal

## Class MetalTabbedPaneUI.TabbedPaneLayout

- java.lang.Object
- - javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout
  - - javax.swing.plaf.metal.MetalTabbedPaneUI.TabbedPaneLayout

- All Implemented Interfaces:
    `LayoutManager`
  Enclosing class:
    MetalTabbedPaneUI

      public class MetalTabbedPaneUI.TabbedPaneLayout
      extends BasicTabbedPaneUI.TabbedPaneLayout

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `MetalTabbedPaneUI`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TabbedPaneLayout()` | Constructs `TabbedPaneLayout`.

  - ### Method Summary

    - ### Methods declared in class javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout

      `calculateLayoutInfo, calculateSize, calculateTabRects, normalizeTabRuns, padSelectedTab, padTabRun, preferredTabAreaHeight, preferredTabAreaWidth, rotateTabRuns`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.awt.LayoutManager

      `addLayoutComponent, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

- - ### Constructor Detail

    - #### TabbedPaneLayout

          public TabbedPaneLayout()

      Constructs `TabbedPaneLayout`.